user70848 user70848 - 4 months ago 11
Ruby Question

Can I upgrade to the current version of Ruby (2.2.3) on OS X v10.6.8?

I'm looking at "Install Ruby on Rails ยท Mac OS X Yosemite", and in the instructions it says to update your OS which I don't really want to do because my computer is getting old.

I also found "How to update Ruby to 1.9.x on Mac?". As far as I can tell, I don't have RVM and I'm afraid of yet another install, in case my system requirements still aren't good enough.

Ultimately, I'm trying to update Jekyll, but I need to update my system a little bit first. I need Ruby 1.9.3 or later. Will "How to update Ruby to 1.9.x on Mac?" work? I'm running Ruby 1.8.7 (2012-02-08 patchlevel 358) [universal-darwin10.0]'.

EDIT: I did end up getting RVM installed. For those who find this page in the future, I ran into these issues/help pages:


Answer

I suggest that you use RVM to install Ruby.

curl -sSL https://get.rvm.io | bash -s stable --ruby
rvm install 2.2
rvm use 2.2 --default